[android-components](../../index.md) / [mozilla.components.service.fretboard.scheduler.workmanager](../index.md) / [SyncWorker](index.md) / [fretboard](./fretboard.md)

# fretboard

`abstract val fretboard: `[`Fretboard`](../../mozilla.components.service.fretboard/-fretboard/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/scheduler/workmanager/SyncWorker.kt#L23)

Used to provide the instance of Fretboard
the app is using

**Return**
current Fretboard instance

